# UpdatePkgs

**UpdatePkgs** is a powerful and interactive command-line tool for managing Python packages. It simplifies the process of updating packages, managing `requirements.txt`, and installing new packages with intelligent search.

## 🔧 Features

- ✅ Update all outdated packages with progress tracking
- 📦 Generate or clean up `requirements.txt`
- 📄 Update using existing `requirements.txt` file
- 🌐 Search and install new packages from PyPI
- 🚀 Simple and intuitive CLI

## 📥 Installation

```bash
pip install updatepkgs
```

## 🚀 Usage

```bash
updatepkgs
```

### Options
1. Update all installed packages
2. Generate requirements.txt
3. Remove versions from requirements.txt
4. Update using requirements.txt
5. Smart install from PyPI by name
6. Install new package (with search)
0. Exit

## 📦 Example CLI Output

```bash
[1/10] Updating numpy  ->  Success ✅
[2/10] Updating pandas ->  Success ✅
All packages updated!
```

## 🛡 License

MIT License  
© 2025 dnet brand